Message: Re: strdup's not defined Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: strdup's not defined 

Forum: Installation and Configuration
Re: Warning strdup's not defined (Mathieu Trocmé)
Re: None Re: strdup's not defined (John Allison)
Date: 30 Apr, 2010
From: Tom Roberts <Tom Roberts>

I have built Geant4 on Windows many times (as well as on Linux and Mac OS X). I use the standard makefiles, using Cygwin on Windows Xp with MS VC++ 2008 Express Edition SP1. I include all viewers, including OpenGL (immediate and stored), and Open Inventor, Ray Tracer, HepRep, Dawn, VRML, ....

Geant4 9.3 compiles without error for me (as have many earlier releases). This includes G4OpenGLViewer -- its .o file includes the string "strdup".

I have made a single change to the Geant4 9.3 source: a 1-line edit in G4OpenInventorWin.cc that permits me to use Coin instead of Open Inventor.

Cygwin setup.exe says it is version 2 573.2.3.

The compiler is Microsoft Visual C++ 2008 Express Edition with SP1 - ENU. There is also Microsoft Visual C++ 2008 ATL Update....

cl says it is Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 15.00.30729.01 for 80x86.

The Microsoft Windows SDK is in a directory named v6.0A.

P.S. I do remember that with MS VC++ Express Edition 2005 it was essential to install a Service Pack.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: strdup's not defined   (Mathieu Trocmé - 30 Apr, 2010)
(_ None: Re: strdup's not defined   (Tom Roberts - 30 Apr, 2010)
(_ None: Re: strdup's not defined   (Colin Paul Gloster - 30 Apr, 2010)
(_ None: Re: strdup's not defined   (Mathieu Trocmé - 30 Apr, 2010)
 Add Message Add Message
to: "Re: strdup's not defined"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]